Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| PDF Clown 0.1.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.pdfclown.documents.contents.objects
Class TranslateTextRelative

    java.lang.Object
      org.pdfclown.documents.contents.objects.ContentObject
          org.pdfclown.documents.contents.objects.Operation
              org.pdfclown.documents.contents.objects.TranslateTextRelative

    @PDF(value=PDF10)
    public final class TranslateTextRelative

extends Operation

'Move to the start of the next line, offset from the start of the current line' operation [PDF:1.6:5.2].

Since:
  0.0.4
Version:
  0.1.2, 02/04/12
Author:
  Stefano Chizzolini (http://www.stefanochizzolini.it)

Field Summary
`static String` | `LeadOperator` Lead parameter setting.
`static String` | `SimpleOperator` No side effect.

Fields inherited from class org.pdfclown.documents.contents.objects.Operation
`operands, operator`

Constructor Summary
`TranslateTextRelative(double offsetX, double offsetY)`
`TranslateTextRelative(double offsetX, double offsetY, boolean leadSet)`
`TranslateTextRelative(String operator, List<PdfDirectObject> operands)`

Method Summary
`double` | `getOffsetX()`
`double` | `getOffsetY()`
`boolean` | `isLeadSet()` Gets whether this operation, as a side effect, sets the leading parameter in the text state.
`void` | `scan(ContentScanner.GraphicsState state)` Applies this object to the specified graphics context, updating the specified graphics state.
`void` | `setLeadSet(boolean value)`
`void` | `setOffsetX(double value)`
`void` | `setOffsetY(double value)`

Methods inherited from class org.pdfclown.documents.contents.objects.Operation
`get, getOperands, getOperator, toString, writeTo`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### SimpleOperator

    public static final String SimpleOperator

  No side effect.

  See Also:
    Constant Field Values

### LeadOperator

    public static final String LeadOperator

  Lead parameter setting.

  See Also:
    Constant Field Values

Constructor Detail

### TranslateTextRelative

    public TranslateTextRelative(double offsetX,
                                 double offsetY)

### TranslateTextRelative

    public TranslateTextRelative(double offsetX,
                                 double offsetY,
                                 boolean leadSet)

### TranslateTextRelative

    public TranslateTextRelative(String operator,
                                 List<PdfDirectObject> operands)

Method Detail

### getOffsetX

    public double getOffsetX()

### getOffsetY

    public double getOffsetY()

### isLeadSet

    public boolean isLeadSet()

  Gets whether this operation, as a side effect, sets the leading parameter in the text state.

### scan

    public void scan(ContentScanner.GraphicsState state)

  Description copied from class: `ContentObject`
  Applies this object to the specified graphics context, updating the specified graphics state.

  Overrides:
    `scan` in class `ContentObject`
  Parameters:
    `state` - Graphics state.

### setLeadSet

    public void setLeadSet(boolean value)

  See Also:
    `isLeadSet()`

### setOffsetX

    public void setOffsetX(double value)

### setOffsetY

    public void setOffsetY(double value)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| PDF Clown 0.1.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Project home page
Copyright © 2006-2013 Stefano Chizzolini. Some Rights Reserved.
This documentation is available under the terms of the GNU Free Documentation License.